package com.zcloud.primeport.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.primeport.dto.VehicleBlackAddCmd;
import com.zcloud.primeport.dto.VehicleBlackPageQry;
import com.zcloud.primeport.dto.VehicleBlackUpdateCmd;
import com.zcloud.primeport.dto.clientobject.VehicleBlackCO;

/**
 * web-client
 *
 * @Author makejava
 * @Date 2026-03-05 11:33:27
 */
public interface VehicleBlackServiceI {
    PageResponse<VehicleBlackCO> listPage(VehicleBlackPageQry qry);

    SingleResponse<VehicleBlackCO> add(VehicleBlackAddCmd cmd);

    void edit(VehicleBlackUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    VehicleBlackCO getInfoById(Long id);
}

